Home | All Classes | Main Classes | Annotated | Grouped Classes |

# QFileIconProvider Class Reference

The QFileIconProvider class provides icons for QFileDialog to use. More...

`#include <qfiledialog.h>`

Inherits QObject.

List of all member functions.

## Public Members

- QFileIconProvider ( QObject * parent = 0, const char * name = 0 )
- virtual const QPixmap * pixmap ( const QFileInfo & info )

## Detailed Description

The QFileIconProvider class provides icons for QFileDialog to use.

By default QFileIconProvider is not used, but any application or library can subclass it, reimplement pixmap() to return a suitable icon, and make all QFileDialog objects use it by calling the static function QFileDialog::setIconProvider().

It is advisable to make all the icons that QFileIconProvider returns be the same size or at least the same width. This makes the list view look much better.

See also QFileDialog and Miscellaneous Classes.

## Member Function Documentation

### QFileIconProvider::QFileIconProvider ( QObject * parent = 0, const char * name = 0 )

Constructs an empty file icon provider called name, with the parent parent.

### const QPixmap * QFileIconProvider::pixmap ( const QFileInfo & info )`[virtual]`

Returns a pointer to a pixmap that should be used to signify the file with the information info.

If pixmap() returns 0, QFileDialog draws the default pixmap.

The default implementation returns particular icons for files, directories, link-files and link-directories. It returns a blank "icon" for other types.

If you return a pixmap here, it should measure 16x16 pixels.

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.